diff -Nur source/CommandQueue.cpp source.patch/CommandQueue.cpp
--- source/CommandQueue.cpp	Wed Mar  9 14:30:16 2005
+++ source.patch/CommandQueue.cpp	Tue Mar 15 11:19:10 2005
@@ -68,6 +68,7 @@
 	COptions::SetOption(OPTION_LASTSERVERPORT,server.port);
 	COptions::SetOption(OPTION_LASTSERVERUSER,server.user);
 	COptions::SetOption(OPTION_LASTSERVERDONTREMEMBERPASS,server.bDontRememberPass?1:0);
+	COptions::SetOption(OPTION_LASTSERVERUTF8,server.nUTF8);
 	COptions::SetOption(OPTION_LASTSERVERNAME,server.name);
 	if (!server.bDontRememberPass && !_ttoi(COptions::GetOption(OPTION_RUNINSECUREMODE)))
 		COptions::SetOption(OPTION_LASTSERVERPASS,CCrypt::encrypt(server.pass));
@@ -777,6 +778,7 @@
 		server2.host=COptions::GetOption(OPTION_LASTSERVERHOST);
 		server2.port=COptions::GetOptionVal(OPTION_LASTSERVERPORT);
 		server2.user=COptions::GetOption(OPTION_LASTSERVERUSER);
+		server2.nUTF8=COptions::GetOptionVal(OPTION_LASTSERVERUTF8);
 		server2.bDontRememberPass=COptions::GetOptionVal(OPTION_LASTSERVERDONTREMEMBERPASS);
 		if (!server2.bDontRememberPass)
 		{
diff -Nur source/Options.cpp source.patch/Options.cpp
--- source/Options.cpp	Sat Aug  7 17:18:44 2004
+++ source.patch/Options.cpp	Tue Mar 15 11:21:05 2005
@@ -507,7 +507,7 @@
 									_T("Switch view locations"),		1,	_T("Use MODE Z "),						1,
 									_T("MODE Z level"),					1,	_T("Transfer IP v6"),					0,
 									_T("Enable IPv6"),					1,	_T("Log Timestamps"),					1,
-									_T("VMS display all revisions"),	1
+									_T("VMS display all revisions"),	1,  _T("Last Server UTF8"),					1
 								};
 
 void COptions::SetOption(int nOptionID,int value)
diff -Nur source/Options.h source.patch/Options.h
--- source/Options.h	Sat Aug  7 17:09:02 2004
+++ source.patch/Options.h	Tue Mar 15 11:20:21 2005
@@ -52,7 +52,7 @@
 
 #include "misc\MarkupSTL.h"
 
-#define OPTIONS_NUM 115
+#define OPTIONS_NUM 116
 
 /////////////////////////////////////////////////////////////////////////////
 // Dialogfeld COptions 
@@ -280,6 +280,7 @@
 #define OPTION_ENABLE_IPV6 113
 #define OPTION_LOGTIMESTAMPS 114
 #define OPTION_VMSALLREVISIONS 115
+#define OPTION_LASTSERVERUTF8 116
 
 //{{AFX_INSERT_LOCATION}}
 // Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.
